Subject: Re: bug#30875: Garbage collector may leave empty files

From: [email-masked] (Ludovic Courtès)
Date: Wed, 21 Mar 2018 21:33:51 +0100

Mark H Weaver <[email-masked]> skribis:

> [email-masked] (Ludovic Courtès) writes:

[...]

>> Are we sure this is a Guix issue and not a disk or file system
>> corruption issue?  The relevant code in guix-daemon hasn’t changed in
>> ages.
>>
>> What file system are you using?  Btrfs?  :-)
>
> The ext[234] filesystems are well known for leaving zero-length files
> around after a crash.  So far, I've never seen Btrfs do that, and I
> wouldn't expect it to based on its design.  That's partly why I switched
> to it.

Sorry, I didn’t mean to imply that Btrfs is flawed.  It’s just that I’ve
never experienced that with ext[234].

Ludo’.